Bug 97020 - Find & Replace property
Summary: Find & Replace property
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice Online
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Aditya Dewan
URL:
Whiteboard: target:5.5.0 target:6.0.0
Keywords:
Depends on:
Blocks: Find-Search
  Show dependency treegraph
 
Reported: 2016-01-10 18:42 UTC by iremsendur
Modified: 2017-06-14 05:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description iremsendur 2016-01-10 18:42:34 UTC
In Writer document there is Find area to find words in document. But there is not Find & Replace area.
Comment 1 Aditya Dewan 2017-05-31 22:06:24 UTC
Hi,

I have started working on this issue, and have uploaded an initial version at https://gerrit.libreoffice.org/#/c/38287/
Currently just created the UI and attached functions to perform search.


Found the code related to save and replace for core in the following files:
writer implementation - /sw/source/uibase/uiview/viewsrch.cxx
dialog box - /svx/source/dialog/srchdlg.cxx
and this /include/svl/srchitem.hxx


I would be very thankful if you could help me on the following things:
  - is there a reference with all uno commands and their arguments.
  - if not, then how should i proceed further, as in do what changes where.
  - can you guide me to some more material that i could read or watch to get a better understanding about the working here.
Comment 2 Pranav Kant 2017-06-01 08:02:25 UTC
(In reply to Aditya Dewan from comment #1)
> Hi,
> 
> I have started working on this issue, and have uploaded an initial version
> at https://gerrit.libreoffice.org/#/c/38287/
> Currently just created the UI and attached functions to perform search.
> 
> 
> Found the code related to save and replace for core in the following files:
> writer implementation - /sw/source/uibase/uiview/viewsrch.cxx
> dialog box - /svx/source/dialog/srchdlg.cxx
> and this /include/svl/srchitem.hxx
> 

My hope is no need to dig that deeper.

> 
> I would be very thankful if you could help me on the following things:
>   - is there a reference with all uno commands and their arguments.

https://wiki.documentfoundation.org/Development/DispatchCommands

This should help to some extend, but it doesn't tell you what arguments are accepted. For that you would need to grep for slot id in the .sdi files. So something like 'git grep FID_REPLACE_ALL -- *.sdi' should give you the reference to appropriate code. From there you can know what are the arguments that are being passed.

>   - if not, then how should i proceed further, as in do what changes where.
>   - can you guide me to some more material that i could read or watch to get
> a better understanding about the working here.

I don't think you would need to dig deeper into the implementation of these dialog boxes etc. The knowledge about UNO commands and what arguments they accept should be enough to implement this feature. Can you play with these uno commands and their arguments and see if they do the work.
Comment 3 Commit Notification 2017-06-05 09:55:08 UTC
Aditya Dewan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/online/commit/?id=ccca292d7d50c7bbb0a5bdf29ac9981be07c41c1

tdf#97020 Adding find&replace functionality
Comment 4 Commit Notification 2017-06-06 11:23:28 UTC
Aditya Dewan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/online/commit/?id=3c121dad3765f3de68390d160210075701cde9b7

tdf#97020 follow up - Adding find&replace functionality
Comment 5 Commit Notification 2017-06-14 05:31:14 UTC
Aditya Dewan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/online/commit/?id=b833f9c93509dd2f01031141d2e57eec976deef3

tdf#97020 follow up | heading/label not selectable now